OpenAPI operations
Rename a bookmark
const url = 'https://api.hooks.events/v1/bookmarks/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.hooks.events/v1/bookmarks/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example" }'Requires the endpoints:write scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Example generated
{ "name": "example"}Responses
Section titled “Responses”Success
object
object
Resource id
Endpoint the payload arrived at
Saved inbound headers as a JSON string
Null once the source event was purged
ISO-8601 timestamp
ISO-8601 timestamp
Example generated
{ "data": { "id": "example", "projectId": "example", "endpointId": "example", "name": "example", "eventType": "example", "method": "example", "payloadRef": "example", "payloadSize": 1, "payloadHash": "example", "headersJson": "example", "sourceEventId": "example", "createdAt": "example", "updatedAt": "example" }}Validation error
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Missing or invalid credentials
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}The credential lacks the required scope, or the workspace is not writable
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Resource not found
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Rate limited
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Headers
Section titled “Headers”Requests allowed per window
Seconds until the window resets